### Installation

luarocks install --server=http://luarocks.org/dev lundler

### example Rockfile

```moonscript
source 'http://luarocks.org/dev' -- this provide --server option for luarocks

rock 'cool-rock', '>= dev-42' -- only rock name and version, options maybe later

git ':user/:repo'
```

source
---
Is setting server url

rock
---
Rock is just installing rock via luarocks library.

git
---
Will clone remote repo into $HOME/.lua/gits/:repo/:sha, than it will make link on that sha to ./lib/:repo. Lundler keeps information about dependent projects for each cloned repo in $HOME/.lua/gits/:repo/:sha/.required_by, if this file will be empty after changing Rockfile - $HOME/.lua/gits/:repo/:sha will be deleted, and if there are no subfolders in repo folder - lundler will remove repo.
Lundler also resolves recursively Rockfiles in those repos.

### Usage

cd to your project with Rockfile and    
your-project-dir$ lundle *command*

Where command may be:

- 'install' for just installing missing dependencies from Rockfile
- 'update' for checking for new commits in remote repos and updating if there are ones

### Rockfile.lock
I don't know how Rockfile.lock can help with lua rocks, so it is only for git plugins.
After installing your git plugins, Rockfile will have table of github pathes with their latest commit SHA.
That SHA let lundler not to clone repo every time, only once per new commit, and then check equality of local SHA and remote.
